%define iconname	%{name}.png

Summary:	A collection manager
Name:		tellico
Epoch:		3
Version:	4.1.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Databases
URL:		https://tellico-project.org/
Source0:	https://www.tellico-project.org/files/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:	aarch64 x86_64

BuildRequires:	cmake
BuildRequires:	cmake(ECM)

BuildRequires:	cmake(Qt6Charts)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6Codecs)
BuildRequires:	cmake(KF6Completion)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6GuiAddons)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6ItemModels)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6JobWidgets)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6Solid)
BuildRequires:	cmake(KF6Sonnet)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6FileMetaData)
BuildRequires:	cmake(KF6NewStuff)
BuildRequires:	cmake(KSaneWidgets6)
BuildRequires:	cmake(KCddb6)

BuildRequires:	pkgconfig(poppler-qt6)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(yaz)
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(libdvbv5)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	csv-devel
BuildRequires:	gettext-devel
BuildRequires:	imagemagick
BuildRequires:	python3-devel
BuildRequires:	perl-Text-BibTeX

Requires:	plasma-workspace

%description
Tellico is a collection manager for KDE. It includes default collections for
books, bibliographies, comic books, videos, music, coins, stamps, trading
cards, and wines, and also allows custom collections. Unlimited user-defined
fields are allowed. Filters are available to limit the visible entries by
definable criteria. Full customization for printing is possible through
editing the default XSLT file. It can import CSV, Bibtex, and Bibtexml and
export CSV, HTML, Bibtex, Bibtexml, and PilotDB. Entries may be imported
directly from different web services such as amazon.com.

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%{_sysconfdir}/xdg/%{name}*
%{_bindir}/%{name}
%{_datadir}/applications/org.kde.%{name}.desktop
%{_metainfodir}/org.kde.%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}/
%{_datadir}/kconf_update/%{name}*
%{_datadir}/config.kcfg/%{name}_config.kcfg
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/knsrcfiles/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
# does debug
perl -pi -e 's/#if 0/#if 1/' src/fetch/amazonfetcher.cpp
perl -pi -e 's|setEntriesSelected(entries_);|//setEntriesSelected(entries_);|' src/detailedlistview.cpp
%cmake_qt6 -DENABLE_WEBCAM:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html

# python shebangs
%py3_shebang_fix %{buildroot}%{_datadir}/%{name}/data-sources


%changelog
* Mon May 12 2025 daviddavid <daviddavid> 3:4.1.2-1.mga10
+ Revision: 2182865
- new version: 4.1.2

* Sun Mar 16 2025 wally <wally> 3:4.1.1-2.mga10
+ Revision: 2165044
- rebuild for libxml2 2.13.6

* Tue Feb 11 2025 bcornec <bcornec> 3:4.1.1-1.mga10
+ Revision: 2146877
- Update to upstream tellico 4.1.1

* Mon Jan 20 2025 bcornec <bcornec> 3:4.1-1.mga10
+ Revision: 2139985
- Update to upstream 4.1

* Thu Nov 21 2024 daviddavid <daviddavid> 3:4.0.1-1.mga10
+ Revision: 2118065
- new version: 4.0.1

* Fri Oct 04 2024 daviddavid <daviddavid> 3:4.0-2.mga10
+ Revision: 2103116
- rebuild for new taglib 2.0.2

* Thu Sep 05 2024 daviddavid <daviddavid> 3:4.0-1.mga10
+ Revision: 2093241
- new version: 4.0
- switch to Qt6/KF6
- only build 64bit support as of lack of Qt6-qtwebengine

* Tue Jun 25 2024 bcornec <bcornec> 3:3.5.5-1.mga10
+ Revision: 2076575
- update to upstream tellico 3.5.5

* Sat Mar 23 2024 bcornec <bcornec> 3:3.5.4-1.mga10
+ Revision: 2051620
- Update to upstream tellico 3.5.4

* Mon Feb 05 2024 daviddavid <daviddavid> 3:3.5.3-3.mga10
+ Revision: 2037285
- rebuild for new kf5sane libmajor 6

* Wed Jan 03 2024 daviddavid <daviddavid> 3:3.5.3-2.mga10
+ Revision: 2027068
- re-enable csv support
- use new %%py3_shebang_fix macro for python shebang

* Wed Jan 03 2024 bcornec <bcornec> 3:3.5.3-1.mga10
+ Revision: 2026771
- Fix call to pathfix.py for cauldron
- Update to upstream tellico 3.5.3

* Tue Oct 24 2023 bcornec <bcornec> 3:3.5.2-1.mga10
+ Revision: 2000697
- Update to upstream tellico 3.5.2

* Tue Jul 04 2023 bcornec <bcornec> 3:3.5.1-1.mga9
+ Revision: 1963558
- Update tellico to upstream 3.5.1

* Mon May 15 2023 bcornec <bcornec> 3:3.5-2.mga9
+ Revision: 1956978
- Re-add deps for Qt5Charts and libcsv

* Sat May 13 2023 bcornec <bcornec> 3:3.5-1.mga9
+ Revision: 1956737
- Re-introduce a missing dependency
- Update to upstream tellico 3.5

* Sun Jan 22 2023 bcornec <bcornec> 3:3.4.6-1.mga9
+ Revision: 1934769
- Update to upstream tellico 3.4.6

* Mon Jan 02 2023 daviddavid <daviddavid> 3:3.4.5-3.mga9
+ Revision: 1929382
- enable QtCharts, QtWebEngineWidgets and Csv support

* Mon Jan 02 2023 danf <danf> 3:3.4.5-2.mga9
+ Revision: 1929367
- Fix IMDB searches

* Wed Nov 16 2022 bcornec <bcornec> 3:3.4.5-1.mga9
+ Revision: 1907987
- Update to upstream tellico 3.4.5

* Fri Feb 18 2022 bcornec <bcornec> 3:3.4.4-1.mga9
+ Revision: 1779511
- Update to upstream tellico 3.4.4

* Mon Jan 03 2022 bcornec <bcornec> 3:3.4.3-1.mga9
+ Revision: 1766309
- Update to upstream tellico 3.4.3

* Wed Nov 10 2021 bcornec <bcornec> 3:3.4.2-1.mga9
+ Revision: 1755834
- Update to upstream tellico 2.4.2

* Tue May 11 2021 bcornec <bcornec> 3:3.4.1-1.mga9
+ Revision: 1722447
- Update tellico to upstream 3.4.1

* Fri Mar 19 2021 bcornec <bcornec> 3:3.4-1.mga9
+ Revision: 1704523
- Update to upstream tellico 3.4

* Sun Feb 28 2021 bcornec <bcornec> 3:3.3.5-1.mga9
+ Revision: 1693181
- Update tellico to upstream 3.3.5

* Thu Dec 17 2020 umeabot <umeabot> 3:3.3.4-3.mga8
+ Revision: 1660014
- Rebuild for new Qt5

* Sat Nov 28 2020 bcornec <bcornec> 3:3.3.4-2.mga8
+ Revision: 1649898
- Adds a new optional dependency for tellico

* Thu Nov 26 2020 bcornec <bcornec> 3:3.3.4-1.mga8
+ Revision: 1649437
- Update to upstream tellico 3.3.4

* Mon Sep 14 2020 bcornec <bcornec> 3:3.3.3-1.mga8
+ Revision: 1626437
- Update to upstream tellico 3.3.3

* Sat Aug 08 2020 bcornec <bcornec> 3:3.3.2-1.mga8
+ Revision: 1612081
- update to upstream tellico 3.3.2

* Fri Jul 24 2020 daviddavid <daviddavid> 3:3.3.1-2.mga8
+ Revision: 1608743
- add gentoo patch to fix build with ECM >=5.72.0

* Wed Jun 03 2020 bcornec <bcornec> 3:3.3.1-1.mga8
+ Revision: 1589867
- Update to upstream tellico 3.3.1

* Sun May 17 2020 bcornec <bcornec> 3:3.3-1.mga8
+ Revision: 1585454
- Update to upstream tellico 3.3

* Tue Feb 18 2020 daviddavid <daviddavid> 3:3.2.3-2.mga8
+ Revision: 1539373
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Nov 28 2019 bcornec <bcornec> 3:3.2.3-1.mga8
+ Revision: 1463250
- Adds python3 compatibility to build on mga8
- Adds python3 compatibility to build on mga8
- Adds python3 compatibility to build on mga8
- Adds python3 compatibility to build on mga8
- update to upstream tellico 3.2.3

* Sun Jul 14 2019 daviddavid <daviddavid> 3:3.2.1-2.mga8
+ Revision: 1421267
- rebuild for new libcdio 2.1.0

* Fri Jul 12 2019 daviddavid <daviddavid> 3:3.2.1-1.mga8
+ Revision: 1420773
- new version: 3.2.1 (qimageblitz dependency was removed from the project)
+ bcornec <bcornec>
- update to upstream 3.2

* Tue Apr 02 2019 umeabot <umeabot> 3:3.1.4-3.mga7
+ Revision: 1385051
- Qt5 Rebuild

* Sun Jan 13 2019 kekepower <kekepower> 3:3.1.4-2.mga7
+ Revision: 1356072
- Rebuild for new exempi

* Sat Dec 22 2018 bcornec <bcornec> 3:3.1.4-1.mga7
+ Revision: 1344536
- update to upstream tellico 3.1.4

* Thu Sep 06 2018 bcornec <bcornec> 3:3.1.3-1.mga7
+ Revision: 1257426
- Update tellico to upstream 3.1.3

* Fri Jul 20 2018 bcornec <bcornec> 3:3.1.2-5.mga7
+ Revision: 1244460
- Fix upstream refresh issue https://bugs.kde.org/show_bug.cgi?id=394343

* Sat Apr 21 2018 daviddavid <daviddavid> 3:3.1.2-4.mga7
+ Revision: 1220663
- rebuild for new yaz 5.23.1

* Wed Mar 28 2018 bcornec <bcornec> 3:3.1.2-3.mga7
+ Revision: 1213191
-Update tellico to upstream 3.1.2

* Mon Mar 19 2018 kekepower <kekepower> 3:3.1.1-3.mga7
+ Revision: 1210353
- Rebuild for new exempi

* Fri Mar 09 2018 daviddavid <daviddavid> 3:3.1.1-2.mga7
+ Revision: 1207489
- rebuild against new Qt 5.9.4

* Wed Jan 17 2018 bcornec <bcornec> 3:3.1.1-1.mga7
+ Revision: 1193970
- Update to upstream tellico 3.1.1

* Sun Jan 14 2018 wally <wally> 3:3.1-3.mga7
+ Revision: 1193054
- rebuild for new libcdio

* Sun Nov 05 2017 bcornec <bcornec> 3:3.1-2.mga7
+ Revision: 1176001
- Regenerate tellico
- Update tellico to upstream 3.1

* Sun Oct 29 2017 daviddavid <daviddavid> 3:3.1-1.mga7
+ Revision: 1174605
- new version: 3.1
+ bcornec <bcornec>
- Fix tellico upstream bug https://bugs.kde.org/show_bug.cgi?id=379426

* Sat Apr 01 2017 bcornec <bcornec> 3:3.0.2-1.mga6
+ Revision: 1095606
- Update tellico to upstream 3.0.2

* Sun Feb 26 2017 daviddavid <daviddavid> 3:3.0.1-1.mga6
+ Revision: 1087892
- new version: 3.0.1
- reenable QImageBlitz support (now ported to Qt5)

* Sun Dec 25 2016 daviddavid <daviddavid> 3:3.0-2.mga6
+ Revision: 1077274
- rebuild for new libkcddb

* Fri Dec 16 2016 daviddavid <daviddavid> 3:3.0-1.mga6
+ Revision: 1075579
- new version: 3.0
- port to Kf5/Qt5

* Mon Nov 28 2016 luigiwalser <luigiwalser> 3:2.3.11-3.mga6
+ Revision: 1070645
- rebuild for poppler

* Wed Feb 17 2016 umeabot <umeabot> 3:2.3.11-2.mga6
+ Revision: 963046
- Mageia 6 Mass Rebuild

* Wed Dec 16 2015 bcornec <bcornec> 3:2.3.11-1.mga6
+ Revision: 911112
- Updated to tellico upstream 2.3.11

* Fri Nov 06 2015 jquelin <jquelin> 3:2.3.10-2.mga6
+ Revision: 898074
- force rebuild due to missing autodep

* Mon Feb 16 2015 bcornec <bcornec> 3:2.3.10-1.mga5
+ Revision: 815113
- Update to upstream 2.3.10

* Wed Oct 15 2014 umeabot <umeabot> 3:2.3.9-4.mga5
+ Revision: 744820
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jul 04 2014 bcornec <bcornec> 3:2.3.9-2.mga5
+ Revision: 643050
- Fix dependency on i586 libs by using %%mklibname

* Wed Jul 02 2014 bcornec <bcornec> 3:2.3.9-1.mga5
+ Revision: 642213
- Update to tellico upstream 2.3.9

* Thu Mar 13 2014 bcornec <bcornec> 3:2.3.8-3.mga5
+ Revision: 602761
- Adds dependency to tellico to make it more useful and compatible with mga3 (cddb was missing now, v4l is added)

* Sat Oct 19 2013 umeabot <umeabot> 3:2.3.8-2.mga4
+ Revision: 529321
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 bcornec <bcornec> 3:2.3.8-1.mga4
+ Revision: 451530
- Update to upstream 2.3.8

* Thu Jan 31 2013 bcornec <bcornec> 3:2.3.7-1.mga3
+ Revision: 393627
- Update to upstream tellico 2.3.7

* Mon Jan 14 2013 umeabot <umeabot> 3:2.3.6-2.mga3
+ Revision: 384340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dams <dams>
- clean specfile
+ mikala <mikala>
- Add requires for kcm_cddb (need to ensure that you can configure kcddb)

* Thu Jul 19 2012 fwang <fwang> 3:2.3.6-1.mga3
+ Revision: 272388
- new version 2.3.6

* Tue Jul 03 2012 fwang <fwang> 3:2.3.5-4.mga3
+ Revision: 266903
- more br

* Tue Jul 03 2012 fwang <fwang> 3:2.3.5-3.mga3
+ Revision: 266883
- update br

* Wed Jun 13 2012 fwang <fwang> 3:2.3.5-2.mga3
+ Revision: 260190
- rebuild for new poppler

* Tue Jan 17 2012 bcornec <bcornec> 3:2.3.5-1.mga2
+ Revision: 197114
- Updated tellico to 2.3.5 upstream
- Recert previous modifications which were already the right one. Sorry for the error
- And update the taf as well :-(
- Update build-requires for tellico

* Mon Oct 10 2011 bcornec <bcornec> 3:2.3.4-2.mga2
+ Revision: 153612
- Forgot to bump %%mkrel to 2
- Add a patch which fixes wrong booleans handling in 2.3.4 (from the 2.3.5 tree)

* Fri Oct 07 2011 fwang <fwang> 3:2.3.4-1.mga2
+ Revision: 152726
- upload tarball
- upload tarball
+ bcornec <bcornec>
- Update to 2.3.4 upstream
+ ahmad <ahmad>
- Change libpoppler-*-devel BR to pkgconfig style

* Wed Jul 06 2011 mikala <mikala> 3:2.3.3-2.mga2
+ Revision: 119449
- Fix BuildRequires ( use libksane-devel instead of kdegraphics4-devel)

* Sat Apr 30 2011 ahmad <ahmad> 3:2.3.3-1.mga1
+ Revision: 93863
- Readd the Epoch dropped on initial import so that the package can be updated
  when upgrading from mdv 2010.1

* Mon Apr 11 2011 dmorgan <dmorgan> 2.3.3-1.mga1
+ Revision: 83160
- New version 2.3.3

* Sat Feb 12 2011 bcornec <bcornec> 2.3.2-1.mga1
+ Revision: 50902
- Created package structure for tellico.

